#ifndef FM_GPIO_H_
#define FM_GPIO_H_

#include "HD_GPIO.h"
#include "comm_types.h"

void FM_GPIO_Init(void);

void POW_FF_PCON_Open(void);
void POW_FF_PCON_Close(void);

void POW_OUT_PCON_Open(void);
void POW_OUT_PCON_Close(void);
BOOL readPOW_OUT_PCON_State(void);

void RUN_LEN_Open(void);
void RUN_LEN_Close(void);
void RUN_LED(void);

BOOL FFMOS_CON_read(void);
void FFMOS_CON_Open(void);
void FFMOS_CON_Close(void);

void EN_PWMOUT_Eable(void);
void EN_PWMOUT_Diseable(void);

void feedDog(void);

BOOL readOverCurrState(void);

BOOL readOnlyPowerOutputState(void);
BOOL readOutputState(void);

extern void WORK_VOLT_Interrupt(void);
extern void DSG_PROT_Interrupt(void);
extern void EXCHG_PROT_Interrupt(void);



#endif
